Last Comment Bug 869572 - Allow API submission to specify paid
: Allow API submission to specify paid
Status: RESOLVED FIXED
:
Product: Marketplace
Classification: Server Software
Component: API (show other bugs)
: 1.0
: x86 Mac OS X
: P2 normal (vote)
: 2013-05-30
Assigned To: Allen Short [:ashort]
:
:
Mentors:
Depends on: 869553 869557 869559 869562 869570
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-07 11:13 PDT by Andy McKay [:andym]
Modified: 2013-05-30 08:45 PDT (History)
5 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Andy McKay [:andym] 2013-05-07 11:13:32 PDT
Submission limits your app to only being free. Once all the other bugs get closed, this can then be set to allow premium.
Comment 1 Kumar McMillan [:kumar] (needinfo all the things) 2013-05-07 12:55:26 PDT
This is essential for automated functional tests to set up a reproducible environment.
Comment 2 Wil Clouser [:clouserw] 2013-05-07 13:56:15 PDT
(In reply to Kumar McMillan [:kumar] from comment #1)
> This is essential for automated functional tests to set up a reproducible
> environment.

This is also expected from partners
Comment 3 Wraithan (Chris McDonald) [:wraithan] 2013-05-28 14:10:46 PDT
https://github.com/mozilla/zamboni/commit/6ed77d88

Allen already did this.
Comment 4 Victor Carciu 2013-05-30 08:45:30 PDT
Please add STRs or mark it [qa-] if no QA verification is needed for this bug.

Note You need to log in before you can comment on or make changes to this bug.